package com.ruoyi.docking.controller;


import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.docking.entity.Project;
import com.ruoyi.docking.entity.ProjectProgress;
import com.ruoyi.docking.entity.request.EditProjectRequest;
import com.ruoyi.docking.entity.request.YdxxtjRequest;
import com.ruoyi.docking.service.ProjectProgressService;
import com.ruoyi.docking.service.ProjectService;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import java.util.List;

/**
 * 项目（对接数据）(Project)表控制层
 *
 * @author makejava
 * @since 2025-03-25 14:49:04
 */
@Api(tags = "项目（对接数据）")
@RestController
@RequestMapping("/gysl/project")
public class ProjectController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private ProjectService projectService;

    /**
     * 查询所有项目数据
     *
     * @param projectName 查询实体
     * @return 所有数据
     */
    @ApiOperation(value = "查询所有项目数据", response = Project.class)
    @GetMapping("/page")
    public AjaxResult selectAll(String projectName) {
        return success(projectService.page(projectName));
    }

    /**
     * 绑定项目
     */
    @ApiOperation(value = "绑定项目")
    @PostMapping("/editProject")
    public AjaxResult editProject(@RequestBody @Valid EditProjectRequest editProjectRequest) {
        return success(projectService.editProject(editProjectRequest));
    }

}

